> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rownd.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a group member

> Platform API for retrieving a group member



## OpenAPI

````yaml GET /applications/{app}/groups/{group}/members/{member}
openapi: 3.1.0
info:
  title: Rownd API
  version: 1.0.0
servers:
  - url: https://api.rownd.io
    description: Rownd production environment
  - url: https://api.us-east-2.dev.rownd.io
    description: Rownd development environment
security:
  - hubAccessTokenForRowndApi: []
tags:
  - name: applications
  - name: application_creds
  - name: application_schemas
paths:
  /applications/{app}/groups/{group}/members/{member}:
    parameters:
      - $ref: '#/components/parameters/AppID'
      - $ref: '#/components/parameters/GroupID'
      - $ref: '#/components/parameters/GroupMemberID'
    get:
      tags:
        - groups
      description: Platform API for retrieving a group member
      operationId: application_group_member_get
      responses:
        '200':
          description: Group member retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupMember'
      security:
        - appKey: []
          appSecret: []
        - hubAccessTokenForRowndApi: []
components:
  parameters:
    AppID:
      name: app
      in: path
      schema:
        type: string
      required: true
      description: Rownd application ID
    GroupID:
      name: group
      in: path
      schema:
        type: string
      required: true
      description: Group ID
    GroupMemberID:
      name: member
      in: path
      schema:
        type: string
      required: true
      description: Group Member ID
  schemas:
    GroupMember:
      required:
        - user_id
        - roles
      properties:
        id:
          type: string
          readOnly: true
          description: The group member ID
          example: member_dnn5g4e3q6aptail2gr43kpj
        user_id:
          type: string
          description: >
            The ID of a user to add as a group member. The user must belong to
            the Rownd application.
          example: user_fbylaq38591cghym5pabupj2
        roles:
          type: array
          items:
            type: string
          description: >
            The roles that the member belongs. (The first member added or
            invited to a group will

            always be created with the 'owner' role along with any additional
            roles specified)
          example:
            - owner
            - editor
        state:
          $ref: '#/components/schemas/GroupMemberState'
        invited_by:
          type: string
          readOnly: true
          description: The authenticated party that invited the user to the group
        added_by:
          type: string
          readOnly: true
          description: The authenticated party that added the user to the gruop
        profile:
          $ref: '#/components/schemas/AppUserDataData'
          readOnly: true
        group_id:
          type: string
          readOnly: true
          description: The group ID
          example: group_ig42thhwf4cig25o7t9jtlyu
    GroupMemberState:
      type: string
      enum:
        - active
        - invite_pending
        - invite_rejected
      description: >
        The state of the group member. A member that has been invited will not
        go into the `active`

        state until they accept the invitation.
    AppUserDataData:
      description: User profile data
      additionalProperties: true
      x-rownd-modifiers:
        - name: generateUserDataObjectUrls
          phase: response
        - name: maskEncryptedValues
          phase: response
      example:
        user_id: user_a7b53gwdaml5jt7t71442nt7
        email: gary@foo.com
        first_name: Gary
        last_name: Jackson
  securitySchemes:
    hubAccessTokenForRowndApi:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>` where
        `<token>` is your Rownd JWT
    appKey:
      type: apiKey
      in: header
      name: x-rownd-app-key
      description: >-
        The publishable key of your application credentials. ([more
        details](/configuration/app-credentials#appkey))
    appSecret:
      type: apiKey
      in: header
      name: x-rownd-app-secret
      description: >-
        The private secret of your application credentials. ([more
        details](/configuration/app-credentials#appsecret))

````